Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.wps.services.globalization
Class GlobalizationPreferencesHelper

    java.lang.Object
      com.ibm.wps.services.globalization.GlobalizationPreferencesHelper

Deprecated. since 6.1.

    public class GlobalizationPreferencesHelper

extends java.lang.Object

Portal service to query the GlobalPreferences. The portal service is accessed via a JNDI lookup using the lookup name "portal:service/policy/PolicyManager". It is recommended to perform the JNDI lookup in the init() method of a servlet and store the PolicyManagerService object in an instance variable. Note that the PolicyManagerService is not dependant on request attributes and it is permitted to access references to the actual service for longer than one request.
Coding example for accessing this service:

           PolicyManagerService pms;
           javax.naming.Context ctx = new javax.naming.InitialContext();
           try {
                pms = (PolicyManagerService)
                   ctx.lookup("portal:service/policy/PolicyManager");
           } catch(javax.naming.NameNotFoundException ex) {
                ... error handling ...
           }
           ...
           // request the service via the home interface
           PolicyManager service = pms.getPolicyManager();

The returned PolicyManagerService object is valid for the lifetime of the portal. It is recommended to perform the JNDI lookup in the init() method of a servlet and store the PolicyManagerService object in an instance variable.

See Also:
  `GlobalizationPreferencesService`

Constructor Summary
`GlobalizationPreferencesHelper()` Deprecated.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GlobalizationPreferencesHelper

    public GlobalizationPreferencesHelper()

  Deprecated.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD